Primary Authorization and Completion Authorization
On this page, you can familiarize yourself with the details of primary authorization and completion authorization.
Primary Authorization and Non-3D Secure
URL
Information about the endpoint and HTTP method used to initiate primary authorization is provided below:
| HTTP Metod | URL |
|---|---|
POST |
/payment/v1/card-payments |
Request Parameters
All parameters of a regular payment request are also applicable to primary authorization. To create primary authorization, the request must be sent with the paymentPhase parameter set to PRE_AUTH.
You can create primary authorization by studying the payment acceptance service and sending the expected parameter in the primary authorization request. The response obtained during the creation of primary authorization is similar to the response in a regular payment request.
See the payment acceptance service: Payment Acceptance
Primary Authorization and 3D Secure
Primary authorization using 3D Secure is also applicable to regular 3D Secure flows. When the end user authenticates themselves using the received OTP code, the PRE_AUTH operation will be completed as 3D Secure.
The PRE_AUTH 3D Secure operation must first be completed using the 3D Complete service and then the authorization completion service can be used.
URL
Information about the endpoint and HTTP method used to initiate primary authorization with 3D Secure is provided below:
| HTTP Metod | URL |
|---|---|
POST |
/payment/v1/card-payments/3ds-init |
Request Parameters
All parameters of a regular 3D Secure payment request are also applicable to primary authorization. To create primary authorization, the request must be sent with the paymentPhase parameter set to PRE_AUTH.
You can create primary authorization by studying the payment acceptance service and sending the expected parameter in the primary authorization request. The response obtained during the creation of primary authorization is similar to the response in a regular payment request.
See the payment acceptance service: Payment Acceptance
Important Points to Note
- The primary authorization operation does not support the sales platform model. You can initiate primary authorization for listing/subscription payments.
- The primary authorization operation can only be performed with information about a saved card or an open card. The wallet is not supported.
- The primary authorization operation is not returned from the scope of the initiated operation; you must use the refund service.
- During the primary authorization completion process, the price information sent must be less than or equal to the amount sent during primary authorization.
- The primary authorization operation can be used for virtual POS banks but is not supported for payments or electronic money institutions.
Authorization Completion
For a successfully created primary authorization payment, you can complete the authorization to finalize the payment.
URL
Information about the endpoint and HTTP method used to complete primary authorization is provided below:
| HTTP Method | URL |
|---|---|
POST |
/payment/v1/card-payments/:id/post-auth |
Request Parameters
| Parameter Name | Type | Required | Description |
|---|---|---|---|
id |
number |
Yes | ID of the payment for which primary authorization was performed |
paidPrice |
number |
Yes | Amount required to complete the authorization |
Return Parameters
The parameters returned as a result of the payment process adhere to the rules specified in the Return Formats section on the main page of the API documentation. The response obtained during the completion of authorization is similar to the response to a regular payment request. See Payment Retrieval for the payment service.
Additional Current Pre-authorization Operations
- Cancel a pre-authorization:
POST /payment/v1/card-payments/{paymentId}/cancel-pre-auth. No request body is required. - Complete a multi-card pre-authorization:
POST /payment/v1/card-payments/{conversationId}/multi_post-auth. - The completion body supports
paidPrice(positive, maximum 2,000,000),hostReference,authCode, andtransId. For multi-card completion onlypaidPriceis used.